#
#############################################################################
##
## Copyright (C) 2008-2010 Nokia Corporation and/or its subsidiary(-ies).
## All rights reserved.
## Contact: Nokia Corporation (developer.feedback@nokia.com)
##
## This file is part of the UI Extensions for Mobile.
##
## GNU Lesser General Public License Usage
## This file may be used under the terms of the GNU Lesser General Public
## License version 2.1 as published by the Free Software Foundation and
## appearing in the file LICENSE.LGPL included in the packaging of this file.
## Please review the following information to ensure the GNU Lesser General
## Public License version 2.1 requirements will be met:
## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
##
## In addition, as a special exception, Nokia gives you certain additional
## rights.  These rights are described in the Nokia Qt LGPL Exception
## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
##
## If you have questions regarding the use of this file, please contact
## Nokia at developer.feedback@nokia.com.
##
#############################################################################

INCLUDEPATH += $$PWD
DEPENDPATH += $$PWD

PUBLIC_HEADERS += $$PWD/hbabstractitemview.h
PUBLIC_HEADERS += $$PWD/hbabstractviewitem.h
PUBLIC_HEADERS += $$PWD/hbgridview.h
PUBLIC_HEADERS += $$PWD/hbgridviewitem.h
PUBLIC_HEADERS += $$PWD/hbindexfeedback.h
PUBLIC_HEADERS += $$PWD/hblistview.h
PUBLIC_HEADERS += $$PWD/hblistviewitem.h
PUBLIC_HEADERS += $$PWD/hblistwidget.h
PUBLIC_HEADERS += $$PWD/hblistwidgetitem.h
PUBLIC_HEADERS += $$PWD/hbradiobuttonlist.h
PUBLIC_HEADERS += $$PWD/hbtreeview.h
PUBLIC_HEADERS += $$PWD/hbtreeviewitem.h
PUBLIC_HEADERS += $$PWD/hbtumbleview.h
PUBLIC_HEADERS += $$PWD/hbtumbleviewitem.h
PUBLIC_HEADERS += $$PWD/hbmodeliterator.h

PRIVATE_HEADERS += $$PWD/hbabstractitemview_p.h
PRIVATE_HEADERS += $$PWD/hbabstractitemcontainer_p.h
PRIVATE_HEADERS += $$PWD/hbabstractitemcontainer_p_p.h
PRIVATE_HEADERS += $$PWD/hbabstractviewitem_p.h
PRIVATE_HEADERS += $$PWD/hbgriditemcontainer_p.h
PRIVATE_HEADERS += $$PWD/hbgriditemcontainer_p_p.h
PRIVATE_HEADERS += $$PWD/hbgridlayout_p.h
PRIVATE_HEADERS += $$PWD/hbgridlayout_p_p.h
PRIVATE_HEADERS += $$PWD/hbgridview_p.h
PRIVATE_HEADERS += $$PWD/hbgridviewitem_p.h
PRIVATE_HEADERS += $$PWD/hbindexfeedback_p.h
PRIVATE_HEADERS += $$PWD/hblistitemcontainer_p.h
PRIVATE_HEADERS += $$PWD/hblistitemcontainer_p_p.h
PRIVATE_HEADERS += $$PWD/hblistlayout_p_p.h
PRIVATE_HEADERS += $$PWD/hblistlayout_p.h
PRIVATE_HEADERS += $$PWD/hblistmodel_p.h
PRIVATE_HEADERS += $$PWD/hblistview_p.h
PRIVATE_HEADERS += $$PWD/hblistviewitem_p.h
PRIVATE_HEADERS += $$PWD/hblistwidget_p.h
PRIVATE_HEADERS += $$PWD/hblistwidgetitem_p.h
PRIVATE_HEADERS += $$PWD/hbradiobuttonlistviewitem_p.h
PRIVATE_HEADERS += $$PWD/hbtreeitemcontainer_p.h
PRIVATE_HEADERS += $$PWD/hbtreeitemcontainer_p_p.h
PRIVATE_HEADERS += $$PWD/hbtreelayout_p.h
PRIVATE_HEADERS += $$PWD/hbtreelayout_p_p.h
PRIVATE_HEADERS += $$PWD/hbtreeview_p.h
PRIVATE_HEADERS += $$PWD/hbtreeviewitem_p.h
PRIVATE_HEADERS += $$PWD/hbtreeitemselectionmodel_p.h
PRIVATE_HEADERS += $$PWD/hbmodeliterator_p.h
PRIVATE_HEADERS += $$PWD/hbtreemodeliterator_p.h
PRIVATE_HEADERS += $$PWD/hbtreemodeliterator_p_p.h
PRIVATE_HEADERS += $$PWD/hbdatepickerview_p.h
PRIVATE_HEADERS += $$PWD/hbdatepickerviewitem_p.h
SOURCES += $$PWD/hbabstractitemcontainer_p.cpp
SOURCES += $$PWD/hbabstractitemview.cpp
SOURCES += $$PWD/hbabstractitemview_p.cpp
SOURCES += $$PWD/hbabstractviewitem.cpp
SOURCES += $$PWD/hbgriditemcontainer_p.cpp
SOURCES += $$PWD/hbgriditemcontainer_p_p.cpp
SOURCES += $$PWD/hbgridlayout_p.cpp
SOURCES += $$PWD/hbgridlayout_p_p.cpp
SOURCES += $$PWD/hbgridview.cpp
SOURCES += $$PWD/hbgridview_p.cpp
SOURCES += $$PWD/hbgridviewitem.cpp
SOURCES += $$PWD/hbgridviewitem_p.cpp
SOURCES += $$PWD/hbindexfeedback.cpp
SOURCES += $$PWD/hbindexfeedback_p.cpp
SOURCES += $$PWD/hblistitemcontainer_p.cpp
SOURCES += $$PWD/hblistlayout_p.cpp
SOURCES += $$PWD/hblistmodel_p.cpp
SOURCES += $$PWD/hblistview.cpp
SOURCES += $$PWD/hblistview_p.cpp
SOURCES += $$PWD/hblistviewitem.cpp
SOURCES += $$PWD/hblistwidget.cpp
SOURCES += $$PWD/hblistwidget_p.cpp
SOURCES += $$PWD/hblistwidgetitem.cpp
SOURCES += $$PWD/hblistwidgetitem_p.cpp
SOURCES += $$PWD/hbradiobuttonlist.cpp
SOURCES += $$PWD/hbradiobuttonlistviewitem_p.cpp
SOURCES += $$PWD/hbtreeitemcontainer_p.cpp
SOURCES += $$PWD/hbtreelayout_p.cpp
SOURCES += $$PWD/hbtreelayout_p_p.cpp
SOURCES += $$PWD/hbtreeview.cpp
SOURCES += $$PWD/hbtreeview_p.cpp
SOURCES += $$PWD/hbtreeviewitem.cpp
SOURCES += $$PWD/hbtumbleview.cpp
SOURCES += $$PWD/hbtumbleviewitem.cpp
SOURCES += $$PWD/hbdatepickerview_p.cpp
SOURCES += $$PWD/hbtreeitemselectionmodel_p.cpp
SOURCES += $$PWD/hbmodeliterator.cpp
SOURCES += $$PWD/hbmodeliterator_p.cpp
SOURCES += $$PWD/hbtreemodeliterator_p.cpp
SOURCES += $$PWD/hbtreemodeliterator_p_p.cpp
SOURCES += $$PWD/hbdatepickerviewitem_p.cpp
